%define anolis_release 1
%global pypi_name jsonpointer
%global github_name python-json-pointer

Name:           python-%{pypi_name}
Version:        2.3
Release:        %{anolis_release}%{dist}
Summary:        Resolve JSON Pointers in Python

License:        BSD
URL:            https://github.com/stefankoegl/%{github_name}
Source0:        https://github.com/stefankoegl/%{github_name}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch


%description
Library to resolve JSON Pointers according to RFC 6901.


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to resolve JSON Pointers according to RFC 6901.

%package doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The python3-%{pypi_name}-doc package contains documentation files for python3-%{pypi_name}.

%prep
%setup -q -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install

%pyproject_install
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{_bindir}/jsonpointer-%{python3_version}
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer-3
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer

%check
%{__python3} tests.py


%files -n python3-%{pypi_name}
%license LICENSE.txt
%{_bindir}/jsonpointer
%{_bindir}/jsonpointer-3*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files doc
%doc README.md AUTHORS

%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3-1
- update to version 2.3
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.2-1
- Init package from upstream v2.2
